Package org.apache.sysds.runtime.controlprogram.federated.monitoring.models

## Class NodeEntityModel

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.federated.monitoring.models.BaseEntityModel
  - - org.apache.sysds.runtime.controlprogram.federated.monitoring.models.NodeEntityModel

-     public class NodeEntityModel
      extends BaseEntityModel

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NodeEntityModel()` |
    `NodeEntityModel​(Long id, String name, String address)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getAddress()` |
    `Long` | `getId()` |
    `String` | `getName()` |
    `List<BaseEntityModel>` | `getStats()` |
    `void` | `setAddress​(String address)` |
    `void` | `setId​(Long id)` |
    `void` | `setName​(String name)` |
    `void` | `setStats​(List<BaseEntityModel> stats)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NodeEntityModel

          public NodeEntityModel()

    - #### NodeEntityModel

          public NodeEntityModel​(Long id,
                                 String name,
                                 String address)

  - ### Method Detail

    - #### getId

          public Long getId()

    - #### setId

          public void setId​(Long id)

    - #### getName

          public String getName()

    - #### setName

          public void setName​(String name)

    - #### getAddress

          public String getAddress()

    - #### setAddress

          public void setAddress​(String address)

    - #### getStats

          public List<BaseEntityModel> getStats()

    - #### setStats

          public void setStats​(List<BaseEntityModel> stats)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`